### Function

# Gcr secure_memory_alloc

#### Declaration [src]

    gpointer
    gcr_secure_memory_alloc (
      gsize size
    )

#### Description [src]

Allocate a block of non-pageable memory.

If non-pageable memory cannot be allocated then normal memory will be returned.

This function is not directly available to language bindings.

#### Parameters

`size`

  Type: `gsize`

  The new desired size of the memory block.

#### Return value

Type: `gpointer`

New memory block which should be freed with gcr_secure_memory_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.